API di Placement

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Placement API and the translation is 100% complete.

Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română
(Ottobre 2019) Non modificare queste pagine. Le informazioni sono incomplete e obsolete. Per l'API più recente, consultare la documentazione API autogenerata o generare la documentazione autonomamente. Vedere Documentazione del codice sorgente.


In FreeCAD, Placement (Posizionamento) definisce la posizione e la rotazione di un oggetto. Il concetto di posizionamento è spiegato in dettaglio in: Placement.

Esempio di impostazione del Posizionamento di un oggetto del documento:

myObj = FreeCAD.ActiveDocument.ActiveObject
pl = FreeCAD.Placement()
pl.move(FreeCAD.Vector(2,0,0))
myObj.Placement = pl
Class.png Placement( ) o (Placement) o (Matrix) o (Base, Rotation) o (Base,Rotation,Center) o (Base,Axis,Angle)

Description: costruisce un Placement, vuoto o con gli argomenti dati, o come una copia di un Placement dato.

Property.png Base

Returns: un vettore che rappresenta la posizione di Placement.

Property.png Rotation

Returns: un quaternione che rappresenta la rotazione di Placement.

Method.png inverse( )

Description: calcola la posizione inversa

Returns: un placement.

Method.png move(Vector)

Description: sposta il posizionamento lungo il vettore dato

Returns: nulla

Method.png multVec(Vector)

Description: applica il Placement al vettore data

Returns: il vettore risultante.

Method.png multiply(Placement)

Description: moltiplica questo Placement con un'altra

Returns: il placement risultante.

Method.png toMatrix( )

Description:

Returns: una matrice che rappresenta la trasformazione del Placement.